package com.lovenav.dao;

import com.lovenav.entity.UrlList;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.stereotype.Repository;
import java.util.List;

@Repository
@Mapper
public interface UrlListDao {
    int deleteByPrimaryKey(Long id);

    int insert(UrlList record);

    int insertSelective(UrlList record);

    UrlList selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(UrlList record);

    int updateByPrimaryKey(UrlList record);


    public List<UrlList> selectUrList();

    public UrlList selectUrListByInput(String input);

    public UrlList selectUrlListByUrlId(Long urlId);

    public List<UrlList> selectUrListByNeedLogin();

    public int deleteByCateId(Long id);
}